/*=============== included files ============================================*/
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <sys/types.h>
#include <time.h>                   /* nanosleep() */
#include <sys/time.h>               /* gettimeofday() */


/*========== Main Program ===================================================*/
main(char argc, char* argv[])
{

    const int nrow = 1, ncol=8;
    const double hold_rr=12.5E-9*(double)(0x50);
    const double hold_rls=12.5E-9*(double)(0x320);
    const double pix_time=8.0E-6;

    int flush_time, read_time;

    flush_time = (int)(2000.0*(nrow*(hold_rls + ncol*hold_rr)));
    read_time = (int)(1000.0*pix_time*(nrow*(ncol+2)));


    printf("HOLD_RLS=     %6.1f  us\n",1.0E6*hold_rls);
    printf("HOLD_RR =     %6.1f  us\n",1.0E6*hold_rr);
    printf("Flush_time=   %6d  ms\n",flush_time);
    printf("\n");

    printf("Pix_time=     %6.1f  us\n",1E6*pix_time);        
    printf("Read_time=    %6d  ms\n",read_time);


}

/*==================== End Of File ======================================== */
