/*                                                                           *
 * load.c is used to load executable code into the DSP from an s-record file *
 *                                                                           */

/*=============== included files ============================================*/
#include <stdio.h>
#include <sys/types.h>
#include <sys/termios.h>
#include <sys/time.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>
#include "dspdvr.h"

/*===== Main program ========================================================*/
main(ac, av)
char ac, **av ;
{
    FILE *fp;
    char *srec_file;
//    u_char srec[515];
//    int  srec_count=0;

    av++ ;
    if (*av == NULL) {
        printf("Input file name required \n");
        dsp_open();
        dsp_reset();
        dsp_close();
        exit(0);
    }

    srec_file = *av;
    if( strchr(srec_file,'.')==NULL ) strcat(srec_file,".s");

    dsp_open();
    dsp_initII(srec_file);
    dsp_close();

}

